Subject: Re: bug#62647: [INSTALL] grep: re-fix Y2038 bug on glibc 2.34+ x86, ARM

From: Paul Eggert <[email-masked]>
Date: Mon, 3 Apr 2023 23:39:30 -0700

On 2023-04-03 23:35, [email-masked] wrote:
> Why in the world does grep even care about timestamps on files?

The same reason 'awk' does. grep calls stat, fstat, etc., and the call 
fails with errno == EOVERFLOW if the file's timestamp is past the year 2038.

For the same reason I expect that awk, too, should use AC_SYS_YEAR2038 
or its equivalent.